      logical  function xeqy (x, y)                                     XEQY001
c                                                                       XEQY002
c     implicit none                                                     XEQY003
c     implicit complex (a-z)                                            XEQY004
c                                                                       XEQY005
      real     x, y                                                     XEQY006
c=======================================================================XEQY007
c     This function returns TRUE is its two arguments (X and Y) are     XEQY008
c     "equal" else it returns "FALSE". How "equal" X and Y have to be   XEQY009
c     is determined by the parameter ACURCY, currently set to 0.0001.   XEQY010
c=======================================================================XEQY011
      real       acurcy                                                 XEQY012
      parameter (acurcy = 0.0001)                                       XEQY013
c                                                                       XEQY014
      xeqy = (abs(x-y) .lt. acurcy)                                     XEQY015
      return                                                            XEQY016
      end                                                               XEQY017
